Closed Bug 448753 Opened 12 years ago Closed 12 years ago

Lightning and GData Provider are incompatible to Thunderbird 3.0b1pre (Gecko 1.9.1) builds

Categories

(Calendar :: Build Config, defect)

defect
Not set

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: hebbet, Assigned: Fallen)

References

Details

Attachments

(2 files, 1 obsolete file)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1a2pre) Gecko/2008073110 Shredder/3.0b1pre

The addon is not working in Tb3b1pre, which was launched yesterday.
Please add 3b1pre as maximum version

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Duplicate of this bug: 448752
Thunderbird already moved to the new Comm-Central mercurial (hg) repository (Gecko 1.9.1). The version number raise to 3.0b1pre happened only here.

But Lightning is still build from the Mozilla CVS repository (Gecko 1.9.0).  

Therefore currently no matching Lightning nightly builds are available for Thunderbird.

I guess this will be solved if the Lightning tinderbox will be switched from CVS repository to mercurial repository too. Or the Thunderbird tinderbox will enable building Lightning extension too. (I don't know what the current plans are)
Severity: major → normal
Status: UNCONFIRMED → NEW
Component: Provider: GData → Build Config
Ever confirmed: true
OS: Windows Vista → All
QA Contact: gdata-provider → build
Hardware: PC → All
Summary: Provider GData: Incompatible to TB 3b1pre → Lightning and GData Provider are incompatible to Thunderbird 3b1pre (Gecko 1.9.1) builds
Version: unspecified → Trunk
Attached patch Version Bump (obsolete) — Splinter Review
I think its ok to bump the version here. As long as its possible to install lightning trunk in the 1.9.1 builds, the gdata provider will also work there.
Assignee: nobody → philipp
Status: NEW → ASSIGNED
Attachment #332242 - Flags: review+
Actually, I think this is the better intermediate solution. I think its trivial to make the thunderbird tinderboxen that are building 3.0b1pre also emit a lightning and a gdatt provider, this patch would allow doing so.
Attachment #332242 - Attachment is obsolete: true
Attachment #332258 - Flags: review?(ssitter)
Comment on attachment 332258 [details] [diff] [review]
[checked in] GData Version bump and COMM_BUILD dependancy

r=ssitter
Patch looks fine but won't help unless the extension is build from comm-central.
Attachment #332258 - Flags: review?(ssitter) → review+
Depends on: 449630
Attachment #332258 - Attachment description: GData Version bump and COMM_BUILD dependancy → [checked in] GData Version bump and COMM_BUILD dependancy
GData patch checked in on both branches, issue remains open.
Assignee: philipp → nobody
Status: ASSIGNED → NEW
Summary: Lightning and GData Provider are incompatible to Thunderbird 3b1pre (Gecko 1.9.1) builds → Lightning and GData Provider are incompatible to Thunderbird 3.0b1pre (Gecko 1.9.1) builds
Comment on attachment 337081 [details] [diff] [review]
[checked in] Missing GData Makefile definitions for COMM_BUILD

I've tested this and it does produce a gdata-provider that loads cleanly in yestarday's Shredder.
Attachment #337081 - Flags: review?(gozer) → review+
Comment on attachment 337081 [details] [diff] [review]
[checked in] Missing GData Makefile definitions for COMM_BUILD

checked in on the usual branches and sb_0_9_branch
Attachment #337081 - Attachment description: Missing GData Makefile definitions for COMM_BUILD → [checked in] Missing GData Makefile definitions for COMM_BUILD
thanks to gozers work in Bug 449630 linux and win32 builds are now available from <http://ftp.mozilla.org/pub/mozilla.org/calendar/lightning/nightly/latest-comm-central/>. macosx builds are not yet available due to Bug 455512.
Status: NEW → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
Assignee: nobody → philipp
Target Milestone: --- → 1.0
Checked with tunderbird3.0b1pre (20081015), lightning 20081015052201 and latest gdata 0.6pre -> VERIFIED
Status: RESOLVED → VERIFIED
These bugs are likely targeted at Lightning 1.0b1, not Lightning 1.0. If this change was done in error, please adjust the target milestone to its correct value. To filter on this bugspam, you can use "lightning-10-target-move".
Target Milestone: 1.0 → 1.0b1
You need to log in before you can comment on or make changes to this bug.